# Diagnostics

Use these operations to view RippleNet Server health.
| Operation | Method | Description |
|  --- | --- | --- |
| [Check health](/products/payments-odl/api-docs/ripplenet/reference/openapi/diagnostics/checkhealth) | GET | Gets the health status of the xCurrent server. |
| [Check heartbeat](/products/payments-odl/api-docs/ripplenet/reference/openapi/diagnostics/checkheartbeat) | GET | Gets the health status of the xCurrent server's peers. |

 - [GET /health](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/diagnostics/checkhealth.md): Gets the health status of the xCurrent server.
 - [GET /heartbeat](https://docs.ripple.com/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/diagnostics/checkheartbeat.md): Gets the health status of the xCurrent server's peers. This request requires authorization. The timeout for this operation is 5 seconds.
